# The Dispute object

### The Dispute object

```json
{
  "id": "du_1MtJUT2eZvKYlo2CNaw2HvEv",
  "object": "dispute",
  "amount": 1000,
  "balance_transactions": [],
  "charge": "ch_1AZtxr2eZvKYlo2CJDX8whov",
  "created": 1680651737,
  "currency": "usd",
  "evidence": {
    "access_activity_log": null,
    "billing_address": null,
    "cancellation_policy": null,
    "cancellation_policy_disclosure": null,
    "cancellation_rebuttal": null,
    "customer_communication": null,
    "customer_email_address": null,
    "customer_name": null,
    "customer_purchase_ip": null,
    "customer_signature": null,
    "duplicate_charge_documentation": null,
    "duplicate_charge_explanation": null,
    "duplicate_charge_id": null,
    "product_description": null,
    "receipt": null,
    "refund_policy": null,
    "refund_policy_disclosure": null,
    "refund_refusal_explanation": null,
    "service_date": null,
    "service_documentation": null,
    "shipping_address": null,
    "shipping_carrier": null,
    "shipping_date": null,
    "shipping_documentation": null,
    "shipping_tracking_number": null,
    "uncategorized_file": null,
    "uncategorized_text": null
  },
  "evidence_details": {
    "due_by": 1682294399,
    "has_evidence": false,
    "past_due": false,
    "submission_count": 0
  },
  "is_charge_refundable": true,
  "livemode": false,
  "metadata": {},
  "payment_intent": null,
  "reason": "general",
  "status": "warning_needs_response"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `amount` (integer)
  Disputed amount. Usually the amount of the charge, but it can differ (usually because of currency fluctuation or because only part of the order is disputed).

- [`balance_transactions`](https://docs.stripe.com/api/disputes/object.md?query=balance_transactions) (array of objects)
  List of zero, one, or two balance transactions that show funds withdrawn and reinstated to your Stripe account as a result of this dispute.

- `charge` (string, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the charge that’s disputed.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `currency` (enum)
  Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).

- `enhanced_eligibility_types` (array of enums)
  List of eligibility types that are included in `enhanced_evidence`.
Possible enum values:
  - `visa_compelling_evidence_3`
    Dispute is eligible for Visa Compelling Evidence 3.0 evidence submission.

  - `visa_compliance`
    Dispute is eligible for Visa compliance evidence submission.

- [`evidence`](https://docs.stripe.com/api/disputes/object.md?query=evidence) (object)
  Evidence provided to respond to a dispute. Updating any field in the hash submits all fields in the hash for review.

- [`evidence_details`](https://docs.stripe.com/api/disputes/object.md?query=evidence_details) (object)
  Information about the evidence submission.

- `intended_submission_method` (enum, nullable)
  Intended submission method for the dispute.
Possible enum values:
  - `manual`
    You’ll submit the manual packet if you upload evidence and won’t ever use Smart Disputes to respond to the dispute.

  - `prefer_manual`
    You’ll submit the manual packet if you upload evidence, but use Smart Disputes if you have no evidence to add to the dispute response.

  - `prefer_smart_disputes`
    You’ll let Smart Disputes submit the dispute response if it detects Stripe evidence, but use the manual packet otherwise.

  - `smart_disputes`
    You’ll let Smart Disputes submit the dispute response if it detects Stripe evidence, and won’t use the manual packet.

- `is_charge_refundable` (boolean)
  If true, it’s still possible to refund the disputed payment. After the payment has been fully refunded, no further funds are withdrawn from your Stripe account as a result of this dispute.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `metadata` (object)
  Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- `payment_intent` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the PaymentIntent that’s disputed.

- [`payment_method_details`](https://docs.stripe.com/api/disputes/object.md?query=payment_method_details) (object, nullable)
  Additional dispute information specific to the payment method type.

- `reason` (string)
  Reason given by cardholder for dispute. Possible values are `bank_cannot_process`, `check_returned`, `credit_not_processed`, `customer_initiated`, `debit_not_authorized`, `duplicate`, `fraudulent`, `general`, `incorrect_account_details`, `insufficient_funds`, `noncompliant`, `product_not_received`, `product_unacceptable`, `subscription_canceled`, or `unrecognized`. Learn more about [dispute reasons](https://docs.stripe.com/docs/disputes/categories.md).

- [`smart_disputes`](https://docs.stripe.com/api/disputes/object.md?query=smart_disputes) (object, nullable)
  Details and availability of the SmartDisputes auto-representment packet.

- `status` (enum)
  The current status of a dispute. Possible values include:`warning_needs_response`, `warning_under_review`, `warning_closed`, `needs_response`, `under_review`, `won`, `lost`, or `prevented`.
Possible enum values:
  - `lost`
    A dispute resolved in the customer’s favor.

  - `needs_response`
    A dispute that requires a response.

  - `prevented`
    A dispute that was prevented from becoming a formal chargeback.

  - `under_review`
    A dispute under review after evidence submission.

  - `warning_closed`
    An inquiry closed without becoming a formal dispute.

  - `warning_needs_response`
    An inquiry that requires a response.

  - `warning_under_review`
    An inquiry under review after evidence submission.

  - `won`
    A dispute resolved in the merchant’s favor.
